import 'dart:convert';
import 'dart:js';
import 'package:http/http.dart' as http;

class Player {
  final int id;
  final String name;

  Player({this.id, this.name});

  factory Player.fromJson(Map<String, dynamic> json) {
    return Player(
      id: json['id'],
      name: json['name'],
    );
  }

  static Future<Player> fetchFirstPlayer() async {
    final response = await http.get('https://families.cworth.org/api/players');

    if (response.statusCode == 200) {
      JsArray playerList = JsArray.from(json.decode(response.body));
      return Player.fromJson(playerList.elementAt(0));
    } else {
      throw Exception('Failed to load player');
    }
  }
}
